Bug 186261 - [RHEL2.1] CVE-2005-3783 ptrace DoS
[RHEL2.1] CVE-2005-3783 ptrace DoS
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
source=cve,reported=20051123,impact=i...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 11:24 EST by Marcel Holtmann
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-24 15:03:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Code to reproduce the behavior (1.68 KB, text/x-csrc)
2006-03-22 11:28 EST, Marcel Holtmann
no flags Details
Proposed patch from Mike O'Connor <mjo@dojo.mi.org> (2.77 KB, patch)
2006-03-22 11:33 EST, Marcel Holtmann
no flags Details | Diff

  None (edit)
Comment 1 Marcel Holtmann 2006-03-22 11:28:55 EST
Created attachment 126484 [details]
Code to reproduce the behavior
Comment 2 Marcel Holtmann 2006-03-22 11:33:00 EST
Created attachment 126485 [details]
Proposed patch from Mike O'Connor <mjo@dojo.mi.org>
Comment 4 Marcel Holtmann 2006-03-24 03:57:58 EST
This is not my area of expertise and actually this is all the information I got.
From the bug reports for RHEL3 and RHEL4, I realized that this will maybe not be
fixed, because of the ABI breakage. It is fine with me if you close the bug, but
at least someone with the right knowledge looked at it. Thanks.
Comment 5 Don Howard 2006-03-24 15:03:10 EST
Ok, I found a testcase in bz 170261.  ptrace() attach fails on derry.  I think
it' safe to close this as notabug.

# ./exectracedloser
PTRACE_SETOPTIONS: Input/output error
ptrace on leader: Operation not permitted
waitpid: No child processes
main thread 31843 status 0
idler thread 31844 status 137f
PTRACE_SETOPTIONS: Input/output error
trying exec
hello

Note You need to log in before you can comment on or make changes to this bug.